package com.bocloud.cmp.model.hmc.pcm;

public class VirtualEthernetAdapter {
    private Integer vlanId;
    private Integer vswitchId;
    private String physicalLocation;
    private Boolean isPortVLANID;
    private Double receivedPackets;
    private Double sentPackets;
    private Double droppedPackets;
    private Double sentBytes;
    private Double receivedBytes;
    private Double receivedPhysicalPackets;
    private Double sentPhysicalPackets;
    private Double droppedPhysicalPackets;
    private Double sentPhysicalBytes;
    private Double receivedPhysicalBytes;

    public Integer getVlanId() {
        return vlanId;
    }

    public void setVlanId(Integer vlanId) {
        this.vlanId = vlanId;
    }

    public Integer getVswitchId() {
        return vswitchId;
    }

    public void setVswitchId(Integer vswitchId) {
        this.vswitchId = vswitchId;
    }

    public String getPhysicalLocation() {
        return physicalLocation;
    }

    public void setPhysicalLocation(String physicalLocation) {
        this.physicalLocation = physicalLocation;
    }

    public Boolean getIsPortVLANID() {
        return isPortVLANID;
    }

    public void setIsPortVLANID(Boolean isPortVLANID) {
        this.isPortVLANID = isPortVLANID;
    }

    public Double getReceivedPackets() {
        return receivedPackets;
    }

    public void setReceivedPackets(Double receivedPackets) {
        this.receivedPackets = receivedPackets;
    }

    public Double getSentPackets() {
        return sentPackets;
    }

    public void setSentPackets(Double sentPackets) {
        this.sentPackets = sentPackets;
    }

    public Double getDroppedPackets() {
        return droppedPackets;
    }

    public void setDroppedPackets(Double droppedPackets) {
        this.droppedPackets = droppedPackets;
    }

    public Double getSentBytes() {
        return sentBytes;
    }

    public void setSentBytes(Double sentBytes) {
        this.sentBytes = sentBytes;
    }

    public Double getReceivedBytes() {
        return receivedBytes;
    }

    public void setReceivedBytes(Double receivedBytes) {
        this.receivedBytes = receivedBytes;
    }

    public Double getReceivedPhysicalPackets() {
        return receivedPhysicalPackets;
    }

    public void setReceivedPhysicalPackets(Double receivedPhysicalPackets) {
        this.receivedPhysicalPackets = receivedPhysicalPackets;
    }

    public Double getSentPhysicalPackets() {
        return sentPhysicalPackets;
    }

    public void setSentPhysicalPackets(Double sentPhysicalPackets) {
        this.sentPhysicalPackets = sentPhysicalPackets;
    }

    public Double getDroppedPhysicalPackets() {
        return droppedPhysicalPackets;
    }

    public void setDroppedPhysicalPackets(Double droppedPhysicalPackets) {
        this.droppedPhysicalPackets = droppedPhysicalPackets;
    }

    public Double getSentPhysicalBytes() {
        return sentPhysicalBytes;
    }

    public void setSentPhysicalBytes(Double sentPhysicalBytes) {
        this.sentPhysicalBytes = sentPhysicalBytes;
    }

    public Double getReceivedPhysicalBytes() {
        return receivedPhysicalBytes;
    }

    public void setReceivedPhysicalBytes(Double receivedPhysicalBytes) {
        this.receivedPhysicalBytes = receivedPhysicalBytes;
    }
}
